Index: trunk/calendar/setup/setup.inc.php
===================================================================
--- trunk/calendar/setup/setup.inc.php	(revision 4186)
+++ trunk/calendar/setup/setup.inc.php	(revision 5132)
@@ -12,6 +12,5 @@
 
 	$setup_info['calendar']['name']    = 'calendar';
-	$setup_info['calendar']['title']    = 'Calendar';
-	$setup_info['calendar']['version'] = '2.2.1';
+	$setup_info['calendar']['version'] = '2.0.008';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
@@ -53,4 +52,4 @@
 	$setup_info['calendar']['depends'][] = array(
 		 'appname' => 'phpgwapi',
-		 'versions' => Array('2.2')
+		 'versions' => Array('2.4.0')
 	);
Index: trunk/calendar/setup/default_records.inc.php
===================================================================
--- trunk/calendar/setup/default_records.inc.php	(revision 3557)
+++ trunk/calendar/setup/default_records.inc.php	(revision 5132)
@@ -10,12 +10,6 @@
 	\**************************************************************************/
 
-    // Alterando dois campos da tabela phpgw_cal e phpgw_cal_holidays
-	$oProc->query("ALTER TABLE phpgw_cal ALTER COLUMN cal_id set default nextval(('seq_phpgw_cal'::text)::regclass);");
-	$oProc->query("ALTER TABLE phpgw_cal_holidays ALTER COLUMN hol_id set default nextval(('seq_phpgw_cal_holidays'::text)::regclass);");
 	
-	$oProc->query("SELECT pg_catalog.setval('seq_phpgw_cal', 1, false);");
-	$oProc->query("SELECT pg_catalog.setval('seq_phpgw_cal_holidays', 1, false);");
-
-	// Adicionando dois campos a tabela phpgw_cal
-	$oProc->query("ALTER TABLE phpgw_cal ADD COLUMN last_status char(1) DEFAULT 'N'::bpchar;");
-	$oProc->query("ALTER TABLE phpgw_cal ADD COLUMN last_update bigint DEFAULT (date_part('epoch'::text, ('now'::text)::timestamp(3) with time zone) * (1000)::double precision);");
+	// enable auto-loading of holidays from localhost by default
+	$oProc->query("INSERT INTO phpgw_config (config_app, config_name, config_value) VALUES ('phpgwapi','auto_load_holidays','True')");
+	$oProc->query("INSERT INTO phpgw_config (config_app, config_name, config_value) VALUES ('phpgwapi','holidays_url_path','localhost')");
Index: trunk/calendar/setup/tables_current.inc.php
===================================================================
--- trunk/calendar/setup/tables_current.inc.php	(revision 4316)
+++ trunk/calendar/setup/tables_current.inc.php	(revision 5132)
@@ -25,12 +25,8 @@
 				'cal_type' => array('type' => 'varchar','precision' => '10','nullable' => True),
 				'is_public' => array('type' => 'int','precision' => '8','nullable' => False,'default' => '1'),
-				'title' => array('type' => 'varchar','precision' => '300','nullable' => False,'default' => '1'),
+				'title' => array('type' => 'varchar','precision' => '80','nullable' => False,'default' => '1'),
 				'description' => array('type' => 'text','nullable' => True),
-				'notifications_owner' => array('type' => 'int','precision' => '1','nullable' => False,'default' => '0'),
-				'observations' => array('type' => 'text','nullable' => True),
-                                'attachment' => array('type' => 'text','nullable' => True),
 				'location' => array('type' => 'varchar','precision' => '255','nullable' => True),
 				'reference' => array('type' => 'int','precision' => '8','nullable' => False,'default' => '0'),
-				'alter_by' => array('type'=> 'varchar','precision' => '160','nullable' => True),
 				'ex_participants' => array('type' => 'text','nullable' => True),
 			),
@@ -64,5 +60,5 @@
 				'recur_interval' => array('type' => 'int','precision' => '8','nullable' => True,'default' => '1'),
 				'recur_data' => array('type' => 'int','precision' => '8','nullable' => True,'default' => '1'),
-				'recur_exception' => array('type' => 'varchar','nullable' => True,'default' => '')
+				'recur_exception' => array('type' => 'varchar','precision' => '255','nullable' => True,'default' => '')
 			),
 			'pk' => array(),
Index: trunk/calendar/setup/tables_update.inc.php
===================================================================
--- trunk/calendar/setup/tables_update.inc.php	(revision 4318)
+++ trunk/calendar/setup/tables_update.inc.php	(revision 5132)
@@ -19,5 +19,42 @@
 		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE ".$table." ADD COLUMN ".$column." ".$attrs);
 	}  
-/// Since Expresso 1.2 using Calendar 0.9.3 
+	$test[] = '0.9.2';
+	function calendar_upgrade0_9_2()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.17';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
+	$test[] = '0.9.17';
+	function calendar_upgrade0_9_17()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.21';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
+	$test[] = '0.9.20';
+	function calendar_upgrade0_9_20()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.21';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}	
+	$test[] = '0.9.21';
+	function calendar_upgrade0_9_21()
+	{
+		addSpecialColumn("phpgw_cal","last_status","char(1) DEFAULT 'N'::bpchar");
+		addSpecialColumn("phpgw_cal","last_update","int8 DEFAULT (date_part('epoch'::text, ('now'::text)::timestamp(3) with time zone) * (1000)::double precision)");
+		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.22';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}	
+	$test[] = '0.9.22';
+	function calendar_upgrade0_9_22()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.23';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
+	$test[] = '0.9.23';
+	function calendar_upgrade0_9_23()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.3';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}	
 	$test[] = '0.9.3';
 	function calendar_upgrade0_9_3()
@@ -63,37 +100,13 @@
 	}	
 	$test[] = '2.0.006';
-	function calendar_upgrade2_0_006()
-	{
+	function calendar_upgrade2_0_006() {
 		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.007';
+		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ALTER COLUMN title TYPE character varying(1024);");
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}		
 	$test[] = '2.0.007';
-	function calendar_upgrade2_0_007()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '2.1.000';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}
-	$test[] = '2.1.000';
-	function calendar_upgrade2_1_000()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.000';
-		return $GLOBALS['setup_info']['calendar']['currentver'];
-	}
-	$test[] = '2.2.000';
-	function calendar_upgrade2_2_000()
-	{
-		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.003'; 
- 	    return $GLOBALS['setup_info']['calendar']['currentver']; 
-	} 
- 	$test[] = '2.2.003'; 
- 	function calendar_upgrade2_2_003() 
- 	{ 
-	    $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN notifications_owner INT NOT NULL default '0'");
-		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN observations text");
-	    $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN alter_by varchar(160)");
-	    $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN attachment text");
-            $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ALTER title TYPE varchar(300)");
-            $GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal_repeats ALTER recur_exception TYPE varchar");
-	    $GLOBALS['setup_info']['calendar']['currentver'] = '2.2.1';
+	function calendar_upgrade2_0_007() {
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.008';
+		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE phpgw_cal ADD COLUMN organizer character varying(255);"); 
 	    return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
Index: trunk/calendar/setup/phpgw_alarm_es-es.lang
===================================================================
--- trunk/calendar/setup/phpgw_alarm_es-es.lang	(revision 3531)
+++ trunk/calendar/setup/phpgw_alarm_es-es.lang	(revision 5132)
@@ -2,9 +2,9 @@
 Description	calendar	es-es	descripción
 External Participants	calendar	es-es	Participantes Externos
-Category	calendar	es-es	Categoría
+Category	calendar	es-es	Categoria
 Location	calendar	es-es	Lugar
 Start Date/Time	calendar	es-es	Fecha/Hora Inicio
 End Date/Time	calendar	es-es	La fecha/hora de finalización
-Low	calendar	es-es	Baja
+Low	calendar	es-es	Baixa
 Normal	calendar	es-es	Normal
 High	calendar	es-es	Alta
@@ -12,10 +12,7 @@
 Created By	calendar	es-es	Creado por
 Updated	calendar	es-es	Actualizado
-Access	calendar	es-es	Acceso
+Access	calendar	es-es	Acesso
 Groups	calendar	es-es	Grupos
 Participants	calendar	es-es	Participantes
-Alarm for %1 at %2 in %3	calendar	es-es	Alarma para %1 a %2 en el %3
-Here is your requested alarm.	calendar	es-es	Aquí está la alarma solicitada.
-You have a meeting scheduled for %1	calendar	es-es	Usted posee un compromiso agendado para %1.
-Your meeting scheduled for %1 has been canceled	calendar	es-es	Su compromiso agendado para %1 fue cancelado.
-Your meeting that had been scheduled for %1 has been rescheduled to %2	calendar	es-es	Su compromiso que habia sido agendado para %1 fue reagendado para %2
+here is your requested alarm.	calendar	es-es	Aquí está la alarma solicitada.
+Alarm for %1 at %2 in %3	calendar	es-es	Alarma para %1 en %2 in %3
Index: trunk/calendar/inc/class.bocustom_fields.inc.php
===================================================================
--- trunk/calendar/inc/class.bocustom_fields.inc.php	(revision 4316)
+++ trunk/calendar/inc/class.bocustom_fields.inc.php	(revision 5132)
@@ -31,9 +31,5 @@
 			'updated'     => 'Updated',
 			'alarm'       => 'Alarm',
-			'recure_type' => 'Repetition',
-			'observations' => 'Observations',
-			'alter_by'   =>  'Alter by',
-            'attachment' => 'attachment',
-			'notifications_owner' => 'notifications_owner'
+			'recure_type' => 'Repetition'
 		);
 
Index: trunk/calendar/inc/class.uialarm.inc.php
===================================================================
--- trunk/calendar/inc/class.uialarm.inc.php	(revision 204)
+++ trunk/calendar/inc/class.uialarm.inc.php	(revision 5132)
@@ -136,5 +136,9 @@
 				if ($alarm_time <= time())
 				{
-					echo lang('Alarm is older than now!!!');
+					echo	'<center>'.lang('Alarm is older than now!!!').'</center><center>'.
+							'<form method="POST" action="'.$GLOBALS['phpgw']->link('/index.php',Array('menuaction'=>'calendar.uialarm.manager')).'">'.
+							'<input type="hidden" value="'.$this->bo->cal_id.'" name="cal_id">'.
+							'<input type="hidden" value="'.$_POST['return_to'].'" name="return_to">'.
+							'<center><input type="submit" value="'.lang("Back").'"/></center></form></center>' ;
 					$GLOBALS['phpgw']->common->phpgw_exit(True);
 				}
@@ -143,5 +147,9 @@
 					if ($object['time'] == $alarm_time)
 					{
-						echo '<center>'.lang('Alarm already added!!!').'</center>';
+						echo '<center>'.lang("Alarm already added!!!").'</center><center>'.
+							 '<form method="POST" action="'.$GLOBALS['phpgw']->link('/index.php',Array('menuaction'=>'calendar.uialarm.manager')).'">'.
+							 '<input type="hidden" value="'.$this->bo->cal_id.'" name="cal_id">'.
+							 '<input type="hidden" value="'.$_POST['return_to'].'" name="return_to">'.
+							 '<center><input type="submit" value="'.lang("Back").'"/></center></form></center>' ;
 						$GLOBALS['phpgw']->common->phpgw_exit(True);
 					}
@@ -151,4 +159,14 @@
 				{
 					echo '<center>'.lang('You do not have permission to add alarms to this event !!!').'</center>';
+					$GLOBALS['phpgw']->common->phpgw_exit(True);
+				}
+				
+				if ($time == 0)
+				{
+					echo '<center>'.lang("Invalid Alarm!!!").'</center><center>'.
+							 '<form method="POST" action="'.$GLOBALS['phpgw']->link('/index.php',Array('menuaction'=>'calendar.uialarm.manager')).'">'.
+							 '<input type="hidden" value="'.$this->bo->cal_id.'" name="cal_id">'.
+							 '<input type="hidden" value="'.$_POST['return_to'].'" name="return_to">'.
+							 '<center><input type="submit" value="'.lang("Back").'"/></center></form></center>' ;
 					$GLOBALS['phpgw']->common->phpgw_exit(True);
 				}
@@ -189,5 +207,4 @@
 						'data'     => lang('Email Notification'),
 						'owner'    => $GLOBALS['phpgw']->common->grab_owner_name($alarm['owner']),
-						'enabled'  => $this->html->image('calendar',$alarm['enabled']?'enabled':'disabled',$alarm['enabled']?'enabled':'disabled','width="13" height="13"'),
 						'select'   => $this->html->checkbox("alarm[$alarm[id]]")
 					);
@@ -198,6 +215,5 @@
 					$this->output_template_array('rows','list',$var);
 				}
-				$this->template->set_var('enable_button',$this->html->submit_button('enable','Enable'));
-				$this->template->set_var('disable_button',$this->html->submit_button('disable','Disable'));
+
 				if ($to_delete)
 				{
@@ -222,6 +238,4 @@
 					'return_to' => $_POST['return_to']
 				)),
-				'lang_enable'	=> lang('Enable'),
-				'lang_disable'	=> lang('Disable'),
 				'input_cancel'  => $this->html->submit_button('cancel','Cancel')
 			));
